# Reaktoro is a unified framework for modeling chemically reactive systems.
#
# Copyright © 2014-2022 Allan Leal
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library. If not, see <http://www.gnu.org/licenses/>.


supcrt_organic_species = [
    "1-Butanamine(aq)",
    "1-Butanol(aq)",
    "1-Butene(aq)",
    "1-Butyne(aq)",
    "1-Heptanamine(aq)",
    "1-Heptanol(aq)",
    "1-Heptene(aq)",
    "1-Heptyne(aq)",
    "1-Hexanamine(aq)",
    "1-Hexanol(aq)",
    "1-Hexene(aq)",
    "1-Hexyne(aq)",
    "1-Octanamine(aq)",
    "1-Octanol(aq)",
    "1-Octene(aq)",
    "1-Octyne(aq)",
    "1-Pentanamine(aq)",
    "1-Pentanol(aq)",
    "1-Pentene(aq)",
    "1-Pentyne(aq)",
    "1-Propanamine(aq)",
    "1-Propanol(aq)",
    "1-Propene(aq)",
    "1-Propyne(aq)",
    "2-Butanone(aq)",
    "2-Heptanone(aq)",
    "2-Hexanone(aq)",
    "2-Hydroxybutanoate-",
    "2-Hydroxybutanoic(aq)",
    "2-Hydroxydecanoate-",
    "2-Hydroxydecanoic(aq)",
    "2-Hydroxyheptanoate-",
    "2-Hydroxyheptanoic(aq)",
    "2-Hydroxyhexanoate-",
    "2-Hydroxyhexanoic(aq)",
    "2-Hydroxynonulloate-",
    "2-Hydroxynonulloic(aq)",
    "2-Hydroxyoctanoate-",
    "2-Hydroxyoctanoic(aq)",
    "2-Hydroxypentanoate-",
    "2-Hydroxypentanoic(aq)",
    "2-Octanone(aq)",
    "2-Pentanone(aq)",
    "a-Aminobutyric(aq)",
    "Acetamide(aq)",
    "Acetate-",
    "Acetic-Acid(aq)",
    "Acetone(aq)",
    "Adipate-2",
    "Adipic-Acid(aq)",
    "Alanine(aq)",
    "Alanate-",
    "Alanylglycine(aq)",
    "Asparagine(aq)",
    "Aspartic-Acid(aq)",
    "Azelaic-Acid(aq)",
    "Azelate-2",
    "Benzene(aq)",
    "Benzoate-",
    "Benzoic-Acid(aq)",
    "Butane(aq)",
    "Butanoic-Acid(aq)",
    "o-Cresol(aq)",
    "m-Cresol(aq)",
    "p-Cresol(aq)",
    "Decanoate-",
    "Decanoic-Acid(aq)",
    "Diketopiperazine(aq)",
    "2,3-DMP(aq)",
    "2,4-DMP(aq)",
    "2,5-DMP(aq)",
    "2,6-DMP(aq)",
    "3,4-DMP(aq)",
    "3,5-DMP(aq)",
    "Dodecanoate-",
    "Dodecanoic-Acid(aq)",
    "Ethanamine(aq)",
    "Ethane(aq)",
    "Ethanol(aq)",
    "Ethylacetate(aq)",
    "Ethylbenzene(aq)",
    "Ethylene(aq)",
    "Ethyne(aq)",
    "Formate-",
    "Formic-Acid(aq)",
    "Glutamic-Acid(aq)",
    "Glutamine(aq)",
    "Glutarate-2",
    "Glutaric-Acid(aq)",
    "Glycine(aq)",
    "Glycinate-",
    "Glycolate-",
    "Glycolic-Acid(aq)",
    "Diglycine(aq)",
    "H-Adipate-",
    "H-Azelate-",
    "H-Glutarate-",
    "H-Malonate-",
    "H-Oxalate-",
    "H-Pimelate-",
    "H-Sebacate-",
    "H-Suberate-",
    "H-Succinate-",
    "Heptane(aq)",
    "Heptanoate-",
    "Heptanoic-Acid(aq)",
    "Hexane(aq)",
    "Hexanoate-",
    "Hexanoic-Acid(aq)",
    "Isoleucine(aq)",
    "Lactate-",
    "Lactic-Acid(aq)",
    "Leucine(aq)",
    "LiCl(aq)",
    "LiOH(aq)",
    "m-Toluate-",
    "m-Toluic-Acid(aq)",
    "Malonate-2",
    "Malonic-Acid(aq)",
    "Methanamine(aq)",
    "Methane(aq)",
    "Methanol(aq)",
    "Methionine(aq)",
    "n-Butane(aq)",
    "Butanoate-",
    "n-Butylbenzene(aq)",
    "n-Heptane(aq)",
    "n-Heptylbenzene(aq)",
    "n-Hexane(aq)",
    "n-Hexylbenzene(aq)",
    "n-Octane(aq)",
    "n-Octylbenzene(aq)",
    "n-Pentane(aq)",
    "n-Pentylbenzene(aq)",
    "n-Propylbenzene(aq)",
    "Nonulloate-",
    "Nonulloic-Acid(aq)",
    "o-Toluate-",
    "o-Toluic-Acid(aq)",
    "Octane(aq)",
    "Octanoate-",
    "Octanoic-Acid(aq)",
    "Oxalate-2",
    "Oxalic-Acid(aq)",
    "p-Toluate-",
    "p-Toluic-Acid(aq)",
    "Pentane(aq)",
    "Pentanoate-",
    "Pentanoic-Acid(aq)",
    "Phenol(aq)",
    "Phenylalanine(aq)",
    "Pimelate-2",
    "Pimelic-Acid(aq)",
    "Propane(aq)",
    "Propanamine(aq)",
    "Propanoate-",
    "Propanoic-Acid(aq)",
    "Propanol(aq)",
    "Sebacate-2",
    "Sebacic-Acid(aq)",
    "Serine(aq)",
    "Suberate-2",
    "Suberic-Acid(aq)",
    "Succinate-2",
    "Succinic-Acid(aq)",
    "Threonine(aq)",
    "Toluene(aq)",
    "Tryptophan(aq)",
    "Tyrosine(aq)",
    "Undecanoate-",
    "Undecanoic-Acid(aq)",
    "Urea(aq)",
    "Valine(aq)",
    "Bi(Ac)+2",
    "Bi(Ac)2+",
    "Bi(Ac)3(aq)",
    "Dy(Ac)+2",
    "Dy(Ac)2+",
    "Dy(Ac)3(aq)",
    "Ho(Ac)+2",
    "Ho(Ac)2+",
    "Ho(Ac)3(aq)",
    "Er(Ac)+2",
    "Er(Ac)2+",
    "Er(Ac)3(aq)",
    "Tm(Ac)+2",
    "Tm(Ac)2+",
    "Tm(Ac)3(aq)",
    "Be(Ac)+",
    "Be(Ac)2(aq)",
    "Ra(Ac)+",
    "Ra(Ac)2(aq)",
    "Au(Ac)(aq)",
    "Au(Ac)2-",
    "Li(Ac)(aq)",
    "Li(Ac)2-",
    "Na(Ac)(aq)",
    "Na(Ac)2-",
    "K(Ac)(aq)",
    "K(Ac)2-",
    "Mg(Ac)+",
    "Mg(Ac)2(aq)",
    "Sr(Ac)+",
    "Sr(Ac)2(aq)",
    "Ba(Ac)+",
    "Ba(Ac)2(aq)",
    "Cu(Ac)(aq)",
    "Cu(Ac)2-",
    "Rb(Ac)(aq)",
    "Rb(Ac)2-",
    "Tl(Ac)(aq)",
    "Tl(Ac)2-",
    "Cs(Ac)(aq)",
    "Cs(Ac)2-",
    "Pb(Ac)+",
    "Pb(Ac)2(aq)",
    "Mn(Ac)+",
    "Mn(Ac)2(aq)",
    "Mn(Ac)3-",
    "Co(Ac)+",
    "Co(Ac)2(aq)",
    "Co(Ac)3-",
    "Ni(Ac)+",
    "Ni(Ac)2(aq)",
    "Ni(Ac)3-",
    "Cu(Ac)+",
    "Cu(Ac)2(aq)",
    "Cu(Ac)3-",
    "NH4(Ac)(aq)",
    "NH4(Ac)2-",
    "UO2(Ac)+",
    "UO2(Ac)2(aq)",
    "UO2(Ac)3-",
    "Ag(Ac)(aq)",
    "Ag(Ac)2-",
    "Cd(Ac)+",
    "Cd(Ac)2(aq)",
    "Cd(Ac)3-",
    "Hg(Ac)+",
    "Hg(Ac)2(aq)",
    "Hg(Ac)3-",
    "Sc(Ac)+2",
    "Sc(Ac)2+",
    "Sc(Ac)3(aq)",
    "U(Ac)+2",
    "U(Ac)2+",
    "U(Ac)3(aq)",
    "Pr(Ac)+2",
    "Pr(Ac)2+",
    "Pr(Ac)3(aq)",
    "La(Ac)+2",
    "La(Ac)2+",
    "La(Ac)3(aq)",
    "Nd(Ac)+2",
    "Nd(Ac)2+",
    "Nd(Ac)3(aq)",
    "Ce(Ac)+2",
    "Ce(Ac)2+",
    "Ce(Ac)3(aq)",
    "Gd(Ac)+2",
    "Gd(Ac)2+",
    "Gd(Ac)3(aq)",
    "Sm(Ac)+2",
    "Sm(Ac)2+",
    "Sm(Ac)3(aq)",
    "Yb(Ac)+2",
    "Yb(Ac)2+",
    "Yb(Ac)3(aq)",
    "Eu(Ac)+2",
    "Eu(Ac)2+",
    "Eu(Ac)3(aq)",
    "Y(Ac)+2",
    "Y(Ac)2+",
    "Y(Ac)3(aq)",
    "Lu(Ac)+2",
    "Lu(Ac)2+",
    "Lu(Ac)3(aq)",
    "Tb(Ac)+2",
    "Tb(Ac)2+",
    "Tb(Ac)3(aq)",
    "Pb(Ac)3-",
    "Fe(Ac)+",
    "Fe(Ac)2(aq)",
    "Zn(Ac)+",
    "Zn(Ac)2(aq)",
    "Zn(Ac)3-",
    "Ca(Ac)+",
    "Ca(Ac)2(aq)",
    "Al(Ac)+2",
    "Al(Ac)2+",
    "Al(Ac)3(aq)",
    "Acetaldehyde(aq)",
    "Butanal(aq)",
    "Decanal(aq)",
    "Formaldehyde(aq)",
    "Heptanal(aq)",
    "Hexanal(aq)",
    "Nonullal(aq)",
    "Octanal(aq)",
    "Pentanal(aq)",
    "Propanal(aq)",
    "Li(Lac)(aq)",
    "Mg(Lac)+",
    "Mg(Lac)2(aq)",
    "Ca(Lac)+",
    "Ca(Lac)2(aq)",
    "Sr(Lac)+",
    "Sr(Lac)2(aq)",
    "Ba(Lac)+",
    "Ba(Lac)2(aq)",
    "Mn(Lac)+",
    "Mn(Lac)2(aq)",
    "Co(Lac)+",
    "Co(Lac)2(aq)",
    "Ni(Lac)+",
    "Ni(Lac)2(aq)",
    "Cu(Lac)+",
    "Cu(Lac)2(aq)",
    "Zn(Lac)+",
    "Zn(Lac)2(aq)",
    "Cd(Lac)+",
    "Cd(Lac)2(aq)",
    "La(Lac)+2",
    "Lu(Lac)+2",
    "Na(Lac)(aq)",
    "Na(Lac)2-",
    "K(Lac)(aq)",
    "K(Lac)2-",
    "Pb(Lac)+",
    "Pb(Lac)2(aq)",
    "Fe(Lac)+",
    "Fe(Lac)2(aq)",
    "Eu(Lac)+",
    "Eu(Lac)2(aq)",
    "Li(Glyc)(aq)",
    "Mg(Glyc)+",
    "Mg(Glyc)2(aq)",
    "Ca(Glyc)+",
    "Ca(Glyc)2(aq)",
    "Sr(Glyc)+",
    "Sr(Glyc)2(aq)",
    "Ba(Glyc)+",
    "Ba(Glyc)2(aq)",
    "Mn(Glyc)+",
    "Mn(Glyc)2(aq)",
    "Co(Glyc)+",
    "Co(Glyc)2(aq)",
    "Ni(Glyc)+",
    "Ni(Glyc)2(aq)",
    "Cu(Glyc)+",
    "Cu(Glyc)2(aq)",
    "Zn(Glyc)+",
    "Zn(Glyc)2(aq)",
    "Cd(Glyc)+",
    "Cd(Glyc)2(aq)",
    "Eu(Glyc)+",
    "Eu(Glyc)2(aq)",
    "Na(Glyc)(aq)",
    "Na(Glyc)2-",
    "K(Glyc)(aq)",
    "K(Glyc)2-",
    "Pb(Glyc)+",
    "Pb(Glyc)2(aq)",
    "Fe(Glyc)+",
    "Fe(Glyc)2(aq)",
    "Cd(Alan)+",
    "Cd(Alan)2(aq)",
    "Ca(Alan)+",
    "Ca(Alan)2(aq)",
    "Pb(Alan)+",
    "Pb(Alan)2(aq)",
    "Mg(Alan)+",
    "Mg(Alan)2(aq)",
    "Sr(Alan)+",
    "Sr(Alan)2(aq)",
    "Mn(Alan)+",
    "Mn(Alan)2(aq)",
    "Co(Alan)+",
    "Co(Alan)2(aq)",
    "Ni(Alan)+",
    "Ni(Alan)2(aq)",
    "Cu(Alan)+",
    "Cu(Alan)2(aq)",
    "Zn(Alan)+",
    "Zn(Alan)2(aq)",
    "Ba(Alan)+",
    "Ba(Alan)2(aq)",
    "Fe(Alan)+",
    "Fe(Alan)2(aq)",
    "Eu(Alan)+",
    "Eu(Alan)2(aq)",
    "Cd(Gly)+",
    "Cd(Gly)2(aq)",
    "Ca(Gly)+",
    "Ca(Gly)2(aq)",
    "Sr(Gly)+",
    "Sr(Gly)2(aq)",
    "Mn(Gly)+",
    "Mn(Gly)2(aq)",
    "Fe(Gly)+",
    "Fe(Gly)2(aq)",
    "Co(Gly)+",
    "Co(Gly)2(aq)",
    "Pb(Gly)+",
    "Pb(Gly)2(aq)",
    "Mg(Gly)+",
    "Mg(Gly)2(aq)",
    "Ni(Gly)+",
    "Ni(Gly)2(aq)",
    "Cu(Gly)+",
    "Cu(Gly)2(aq)",
    "Zn(Gly)+",
    "Zn(Gly)2(aq)",
    "Eu(Gly)+",
    "Eu(Gly)2(aq)",
    "Ba(Gly)+",
    "Ba(Gly)2(aq)",
    "Mg(For)+",
    "Mg(For)2(aq)",
    "Ca(For)+",
    "Ca(For)2(aq)",
    "Sr(For)+",
    "Sr(For)2(aq)",
    "Ba(For)+",
    "Ba(For)2(aq)",
    "Cu(For)+",
    "Cu(For)2(aq)",
    "Cd(For)+",
    "Cd(For)2(aq)",
    "Na(For)(aq)",
    "Na(For)2-",
    "K(For)(aq)",
    "K(For)2-",
    "La(For)+2",
    "La(For)2+",
    "Eu(For)+",
    "Eu(For)2(aq)",
    "U(For)+2",
    "U(For)2+",
    "Eu(For)+2",
    "Eu(For)2+",
    "Gd(For)+2",
    "Gd(For)2+",
    "Yb(For)+2",
    "Yb(For)2+",
    "Pb(For)+",
    "Pb(For)2(aq)",
    "Mn(For)+",
    "Mn(For)2(aq)",
    "Co(For)+",
    "Co(For)2(aq)",
    "Ni(For)+",
    "Ni(For)2(aq)",
    "Zn(For)+",
    "Zn(For)2(aq)",
    "Fe(For)+",
    "Fe(For)2(aq)",
    "Mg(Prop)+",
    "Mg(Prop)2(aq)",
    "Ca(Prop)+",
    "Ca(Prop)2(aq)",
    "Sr(Prop)+",
    "Sr(Prop)2(aq)",
    "Ba(Prop)+",
    "Ba(Prop)2(aq)",
    "Eu(Prop)+",
    "Eu(Prop)2(aq)",
    "Cu(Prop)+",
    "Cu(Prop)2(aq)",
    "Cd(Prop)+",
    "Cd(Prop)2(aq)",
    "Pb(Prop)+",
    "Pb(Prop)2(aq)",
    "Na(Prop)(aq)",
    "Na(Prop)2-",
    "K(Prop)(aq)",
    "K(Prop)2-",
    "La(Prop)+2",
    "La(Prop)2+",
    "Eu(Prop)+2",
    "Eu(Prop)2+",
    "Gd(Prop)+2",
    "Gd(Prop)2+",
    "Yb(Prop)+2",
    "Yb(Prop)2+",
    "U(Prop)+2",
    "U(Prop)2+",
    "Co(Prop)+",
    "Co(Prop)2(aq)",
    "Ni(Prop)+",
    "Ni(Prop)2(aq)",
    "Zn(Prop)+",
    "Zn(Prop)2(aq)",
    "Fe(Prop)+",
    "Fe(Prop)2(aq)",
    "Mn(Prop)+",
    "Mn(Prop)2(aq)",
    "U(But)+2",
    "U(But)2+",
    "Eu(But)+",
    "Eu(But)2(aq)",
    "Mg(But)+",
    "Mg(But)2(aq)",
    "Ca(But)+",
    "Ca(But)2(aq)",
    "Sr(But)+",
    "Sr(But)2(aq)",
    "Ba(But)+",
    "Ba(But)2(aq)",
    "Cu(But)+",
    "Cu(But)2(aq)",
    "Cd(But)+",
    "Cd(But)2(aq)",
    "Na(But)(aq)",
    "Na(But)2-",
    "K(But)(aq)",
    "K(But)2-",
    "La(But)+2",
    "La(But)2+",
    "Eu(But)+2",
    "Eu(But)2+",
    "Gd(But)+2",
    "Gd(But)2+",
    "Yb(But)+2",
    "Yb(But)2+",
    "Pb(But)+",
    "Pb(But)2(aq)",
    "Mn(But)+",
    "Mn(But)2(aq)",
    "Ni(But)+",
    "Ni(But)2(aq)",
    "Zn(But)+",
    "Zn(But)2(aq)",
    "Fe(But)+",
    "Fe(But)2(aq)",
    "Co(But)+",
    "Co(But)2(aq)",
    "Ca(Pent)+",
    "Ca(Pent)2(aq)",
    "Sr(Pent)+",
    "Sr(Pent)2(aq)",
    "Ba(Pent)+",
    "Ba(Pent)2(aq)",
    "Cu(Pent)+",
    "Cu(Pent)2(aq)",
    "Na(Pent)(aq)",
    "Na(Pent)2-",
    "K(Pent)(aq)",
    "K(Pent)2-",
    "La(Pent)+2",
    "La(Pent)2+",
    "Eu(Pent)+2",
    "Eu(Pent)2+",
    "U(Pent)+2",
    "Eu(Pent)+",
    "Gd(Pent)+2",
    "Gd(Pent)2+",
    "Yb(Pent)+2",
    "Yb(Pent)2+",
    "Mg(Pent)+",
    "Mg(Pent)2(aq)",
    "Pb(Pent)+",
    "Pb(Pent)2(aq)",
    "Co(Pent)+",
    "Co(Pent)2(aq)",
    "Ni(Pent)+",
    "Ni(Pent)2(aq)",
    "Zn(Pent)+",
    "Zn(Pent)2(aq)",
    "Cd(Pent)+",
    "Cd(Pent)2(aq)",
    "Fe(Pent)+",
    "Fe(Pent)2(aq)",
    "Mn(Pent)+",
    "Mn(Pent)2(aq)",
    "A-Aminobutyric(aq)",
    "Arginine(aq)",
    "Arginine+",
    "Arginine-",
    "Aspartate-",
    "Am(Ac)+2",
    "Am(Ac)2+",
    "Am(Ac)3(aq)",
    "Am(Lac)+2",
    "Am(Lac)2+",
    "Am(For)+2",
    "Am(For)2+",
    "Am(Prop)+2",
    "Am(Prop)2+",
    "Am(But)+2",
    "Am(But)2+",
    "Am(Glyc)+2",
    "Am(Glyc)2+",
    "Cyclohexane(aq)",
    "Cysteine(aq)",
    "Cystate-",
    "Glutamate-",
    "Glycine+",
    "Histidine(aq)",
    "Histidine+",
    "Lysine(aq)",
    "Lysine+",
    "Lysine-",
    "Proline(aq)",
    "Tyrosine-",
    "PCE(aq)",
    "TCE(aq)",
    "1,1-DCE(aq)",
    "1,2-DCE,cis(aq)",
    "1,2-DCE,trans(aq)",
    "Pb(Ox)(aq)",
    "Mn(Ox)(aq)",
    "Co(Ox)(aq)",
    "Ni(Ox)(aq)",
    "Fe(Ox)+",
    "Cu(Ox)(aq)",
    "Na(Ox)-",
    "K(Ox)-",
    "NH4(Ox)-",
    "Mg(Ox)(aq)",
    "Ca(Ox)(aq)",
    "Zn(Ox)(aq)",
    "Cd(Ox)(aq)",
    "Al(Ox)+",
    "Yb(Ox)+",
    "Ce(Ox)+",
    "Nd(Ox)+",
    "Eu(Ox)+",
    "Gd(Ox)+",
    "Ru(Ox)+",
    "Pa(Ox)+2",
    "Th(Ox)+2",
    "U(Ox)+2",
    "Np(Ox)+2",
    "PuO2(Ox)(aq)",
    "UO2(Ox)(aq)",
    "Am(Ox)+",
    "Cm(Ox)+",
    "Y(Ox)+",
    "Be(Ox)(aq)",
    "Hg(Ox)(aq)",
    "Cr(Ox)(aq)",
    "Fe(Ox)(aq)",
    "La(Ox)+",
    "Tb(Ox)+",
    "Er(Ox)+",
    "Lu(Ox)+",
    "Cr(Ox)+",
    "Ga(Ox)+",
    "Sc(Ox)+",
    "In(Ox)+",
    "Pu(Ox)+2",
    "NpO2(Ox)+2",
    "Sm(Ox)+",
    "Li(Ox)-",
    "Sr(Ox)(aq)",
    "Ba(Ox)(aq)",
    "Li(Mal)-",
    "Mg(Mal)(aq)",
    "Zn(Mal)(aq)",
    "Cd(Mal)(aq)",
    "Al(Mal)+",
    "Pb(Mal)(aq)",
    "Na(Mal)-",
    "K(Mal)-",
    "La(Mal)+",
    "Gd(Mal)+",
    "Lu(Mal)+",
    "Yb(Mal)+",
    "Th(Mal)+2",
    "Cu(Mal)(aq)",
    "UO2(Mal)(aq)",
    "Ce(Mal)+",
    "Nd(Mal)+",
    "Sm(Mal)+",
    "Pr(Mal)+",
    "Eu(Mal)+",
    "Tb(Mal)+",
    "Dy(Mal)+",
    "Tm(Mal)+",
    "Ho(Mal)+",
    "Er(Mal)+",
    "Sc(Mal)+",
    "Fe(Mal)+",
    "Cs(Mal)-",
    "NH4(Mal)-",
    "Sr(Mal)(aq)",
    "Cr(Mal)(aq)",
    "Be(Mal)(aq)",
    "Fe(Mal)(aq)",
    "In(Mal)+",
    "Y(Mal)+",
    "Ca(Mal)(aq)",
    "Ba(Mal)(aq)",
    "Mn(Mal)(aq)",
    "Co(Mal)(aq)",
    "Ni(Mal)(aq)",
    "Mn(Succ)(aq)",
    "Co(Succ)(aq)",
    "Ni(Succ)(aq)",
    "Pb(Succ)(aq)",
    "Na(Succ)-",
    "K(Succ)-",
    "Ca(Succ)(aq)",
    "Cu(Succ)(aq)",
    "Zn(Succ)(aq)",
    "Cd(Succ)(aq)",
    "UO2(Succ)(aq)",
    "Th(Succ)+2",
    "Mg(Succ)(aq)",
    "Ba(Succ)(aq)",
    "La(Succ)+",
    "NH4(Succ)-",
    "Be(Succ)(aq)",
    "Fe(Succ)+",
    "Sc(Succ)+",
    "PuO2(Succ)(aq)",
    "NpO2(Succ)-",
    "Sm(Succ)+",
    "Er(Succ)+",
    "U(Succ)+2",
    "Fe(Succ)(aq)",
    "Sr(Succ)(aq)",
    "Li(Succ)-",
    "Cr(Succ)(aq)",
    "Cu(Glut)(aq)",
    "Zn(Glut)(aq)",
    "Cd(Glut)(aq)",
    "Ni(Glut)(aq)",
    "Ba(Glut)(aq)",
    "Mn(Glut)(aq)",
    "Co(Glut)(aq)",
    "La(Glut)+",
    "Y(Glut)+",
    "Th(Glut)+2",
    "Ca(Glut)(aq)",
    "Pb(Glut)(aq)",
    "Fe(Glut)+",
    "Sm(Glut)+",
    "Sc(Glut)+",
    "UO2(Glut)(aq)",
    "NpO2(Glut)(aq)",
    "Mg(Glut)(aq)",
    "Sr(Glut)(aq)",
    "Er(Glut)+",
    "Na(Glut)-",
    "K(Glut)-",
    "Li(Glut)-",
    "Cr(Glut)(aq)",
    "Fe(Glut)(aq)",
    "Ca(Adip)(aq)",
    "Ba(Adip)(aq)",
    "Co(Adip)(aq)",
    "Ni(Adip)(aq)",
    "Cu(Adip)(aq)",
    "Zn(Adip)(aq)",
    "Cd(Adip)(aq)",
    "La(Adip)+",
    "Pb(Adip)(aq)",
    "Sc(Adip)+",
    "UO2(Adip)(aq)",
    "Th(Adip)+2",
    "U(Adip)+2",
    "Na(Adip)-",
    "K(Adip)-",
    "Li(Adip)-",
    "Mg(Adip)(aq)",
    "Fe(Adip)(aq)",
    "Mn(Adip)(aq)",
    "Sr(Adip)(aq)",
    "Cr(Adip)(aq)",
    "UO2(Pime)(aq)",
    "Adenine(aq)",
    "Guanine(aq)",
    "Cytosine(aq)",
    "Thymine(aq)",
    "Uracil(aq)",
    "Ribose(aq)",
    "Deoxyribose(aq)",
    "Adenosine(aq)",
    "Cytidine(aq)",
    "Guanosine(aq)",
    "Thymidine(aq)",
    "Uridine(aq)",
    "Deoxyadenosine(aq)",
    "Deoxycytidine(aq)",
    "Deoxyguanosine(aq)",
    "Deoxythymidine(aq)",
    "Deoxyuridine(aq)",
    "Ribose-5-Phosphate-2",
    "AMP-2",
    "H(AMP)-",
    "+H2(AMP)(aq)",
    "CMP-2",
    "H(CMP)-",
    "+H2(CMP)(aq)",
    "GMP-2",
    "H(GMP)-",
    "+H2(GMP)(aq)",
    "TMP-2",
    "H(TMP)-",
    "+H2(TMP)(aq)",
    "UMP-2",
    "H(UMP)-",
    "+H2(UMP)(aq)",
    "d(AMP)-2",
    "dH(AMP)-",
    "d+H2(AMP)(aq)",
    "d(CMP)-2",
    "dH(CMP)-",
    "d+H2(CMP)(aq)",
    "d(GMP)-2",
    "dH(GMP)-",
    "d+H2(GMP)(aq)",
    "d(TMP)-2",
    "dH(TMP)-",
    "d+H2(TMP)(aq)",
    "d(UMP)-2",
    "dH(UMP)-",
    "d+H2(UMP)(aq)",
    "ADP-3",
    "H(ADP)-2",
    "+H2(ADP)-",
    "+H3(ADP)(aq)",
    "CDP-3",
    "H(CDP)-2",
    "+H2(CDP)-",
    "+H3(CDP)(aq)",
    "GDP-3",
    "H(GDP)-2",
    "+H2(GDP)-",
    "+H3(GDP)(aq)",
    "TDP-3",
    "H(TDP)-2",
    "+H2(TDP)-",
    "+H3(TDP)(aq)",
    "UDP-3",
    "H(UDP)-2",
    "+H2(UDP)-",
    "+H3(UDP)(aq)",
    "d(ADP)-3",
    "dH(ADP)-2",
    "d+H2(ADP)-",
    "d+H3(ADP)(aq)",
    "d(CDP)-3",
    "dH(CDP)-2",
    "d+H2(CDP)-",
    "d+H3(CDP)(aq)",
    "d(GDP)-3",
    "dH(GDP)-2",
    "d+H2(GDP)-",
    "d+H3(GDP)(aq)",
    "d(TDP)-3",
    "dH(TDP)-2",
    "d+H2(TDP)-",
    "d+H3(TDP)(aq)",
    "d(UDP)-3",
    "dH(UDP)-2",
    "d+H2(UDP)-",
    "d+H3(UDP)(aq)",
    "ATP-4",
    "H(ATP)-3",
    "+H2(ATP)-2",
    "+H3(ATP)-",
    "+H4(ATP)(aq)",
    "CTP-4",
    "H(CTP)-3",
    "+H2(CTP)-2",
    "+H3(CTP)-",
    "+H4(CTP)(aq)",
    "GTP-4",
    "H(GTP)-3",
    "+H2(GTP)-2",
    "+H3(GTP)-",
    "+H4(GTP)(aq)",
    "TTP-4",
    "H(TTP)-3",
    "+H2(TTP)-2",
    "+H3(TTP)-",
    "+H4(TTP)(aq)",
    "UTP-4",
    "H(UTP)-3",
    "+H2(UTP)-2",
    "+H3(UTP)-",
    "+H4(UTP)(aq)",
    "d(ATP)-4",
    "dH(ATP)-3",
    "d+H2(ATP)-2",
    "d+H3(ATP)-",
    "d+H4(ATP)(aq)",
    "d(CTP)-4",
    "dH(CTP)-3",
    "d+H2(CTP)-2",
    "d+H3(CTP)-",
    "d+H4(CTP)(aq)",
    "d(GTP)-4",
    "dH(GTP)-3",
    "d+H2(GTP)-2",
    "d+H3(GTP)-",
    "d+H4(GTP)(aq)",
    "d(TTP)-4",
    "dH(TTP)-3",
    "d+H2(TTP)-2",
    "d+H3(TTP)-",
    "d+H4(TTP)(aq)",
    "d(UTP)-4",
    "dH(UTP)-3",
    "d+H2(UTP)-2",
    "d+H3(UTP)-",
    "d+H4(UTP)(aq)",
    "Methanethiol(aq)",
    "Ethanethiol(aq)",
    "n-Propanethiol(aq)",
    "n-Butanethiol(aq)",
    "n-Pentanethiol(aq)",
    "n-Hexanethiol(aq)",
    "n-Heptanethiol(aq)",
    "n-Octanethiol(aq)",
    "n-Nonullethiol(aq)",
    "n-Decanethiol(aq)",
    "n-Undecanethiol(aq)",
    "n-Dodecanethiol(aq)",
    "Xylose(aq)",
    "Arabinose(aq)",
    "Lyxose(aq)",
    "Xylulose(aq)",
    "Ribulose(aq)",
    "Glucose(aq)",
    "Mannose(aq)",
    "Galactose(aq)",
    "Fructose(aq)",
    "Sorbose(aq)",
    "MgAMP(aq)",
    "MgADP-",
    "MgHADP(aq)",
    "Mg2ADP+",
    "MgATP-2",
    "MgHATP-",
    "MgH2ATP(aq)",
    "Mg2ATP(aq)",
    "H2(NicMP),red(aq)",
    "H(NicMP),red-",
    "(NicMP),red-2",
    "H2(NicMP),ox+",
    "H(NicMP),ox(aq)",
    "(NicMP),ox-",
    "H2(NAD),red(aq)",
    "H(NAD),red-",
    "(NAD),red-2",
    "H2(NAD),ox+",
    "H(NAD),ox(aq)",
    "(NAD),ox-",
    "R5P(aq)",
    "R5P-",
    "R5P-2",
    "H4(NADP),red(aq)",
    "H3(NADP),red-",
    "H2(NADP),red-2",
    "H(NADP),red-3",
    "(NADP),red-4",
    "H4(NADP),ox+",
    "H3(NADP),ox(aq)",
    "H2(NADP),ox-",
    "H(NADP),ox-2",
    "(NADP),ox-3",
    "(AMP)-2",
    "(CMP)-2",
    "(GMP)-2",
    "(TMP)-2",
    "(UMP)-2",
    "(ADP)-3",
    "(CDP)-3",
    "(GDP)-3",
    "(TDP)-3",
    "(UDP)-3",
    "(ATP)-4",
    "(CTP)-4",
    "(GTP)-4",
    "(TTP)-4",
    "(UTP)-4",
    "Mg(AMP)(aq)",
    "Mg(ADP)-",
    "MgH(ADP)(aq)",
    "Mg2(ADP)+",
    "Mg(ATP)-2",
    "MgH(ATP)-",
    "MgH2(ATP)(aq)",
    "Mg2(ATP)(aq)",
    "(Ala)(aq)",
    "(Arg)(aq)",
    "(Arg)+",
    "(Asn)(aq)",
    "(Asp)(aq)",
    "(Asp)-",
    "(Cys)(aq)",
    "(Cys)-",
    "(Gln)(aq)",
    "(Glu)(aq)",
    "(Glu)-",
    "(Gly)(aq)",
    "(His)(aq)",
    "(His)+",
    "(Ile)(aq)",
    "(Leu)(aq)",
    "(Lys)(aq)",
    "(Lys)+",
    "(Met)(aq)",
    "(Phe)(aq)",
    "(Pro)(aq)",
    "(Ser)(aq)",
    "(Thr)(aq)",
    "(Trp)(aq)",
    "(Tyr)(aq)",
    "(Tyr)-",
    "(Val)(aq)",
    "(AABB)(aq)",
    "(AABB)+",
    "(AABB)-",
    "(UPBB)(aq)",
    "(-CH2-)(aq)",
    "(-CH3)(aq)",
    "(-CHCH3-)(aq)",
    "(-CH2NH2)(aq)",
    "(-CH2OH)(aq)",
    "(-CONH2)(aq)",
    "(-COOH)(aq)",
    "(-C6H5)(aq)",
    "(di.corr)(aq)",
    "Citric-Acid(aq)",
    "H2-Citrate-",
    "H-Citrate-2",
    "Citrate-3",
    "Aconitic-Acid,cis(aq)",
    "H2-Aconitate,cis-",
    "H-Aconitate,cis-2",
    "Aconitate,cis-3",
    "Isocitric-Acid(aq)",
    "H2-Isocitrate-",
    "H-Isocitrate-2",
    "Isocitrate-3",
    "a-Ketoglutaric-Acid(aq)",
    "H-a-Ketoglutarate-",
    "a-Ketoglutarate-2",
    "Fumaric-Acid(aq)",
    "H-Fumarate-",
    "Fumarate-2",
    "Malic-Acid(aq)",
    "H-Malate-",
    "Malate-2",
    "Oxaloacetic-Acid(aq)",
    "H-Oxaloacetate-",
    "Oxaloacetate-2",
    "Pyruvic-Acid(aq)",
    "Pyruvate-"
]
